com.snowflake.client.jdbc

## Class SnowflakeFileTransferAgent.FileMetadata

- java.lang.Object
- - com.snowflake.client.jdbc.SnowflakeFileTransferAgent.FileMetadata

Enclosing class:
  SnowflakeFileTransferAgent

    public class SnowflakeFileTransferAgent.FileMetadata
    extends Object

File metadata with everything we care so we don't need to repeat same processing to get these info.

### Field Summary

Fields
`SnowflakeFileTransferAgent.FileCompressionType` `destCompressionType`
`String` `destFileName`
`long` `destFileSize`
`String` `errorDetails`
`boolean` `isEncrypted`
`boolean` `requireCompress`
`SnowflakeFileTransferAgent.ResultStatus` `resultStatus`
`SnowflakeFileTransferAgent.FileCompressionType` `srcCompressionType`
`String` `srcFileName`
`long` `srcFileSize`

### Constructor Summary

Constructors
Constructor and Description
`FileMetadata()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### srcFileName

    public String srcFileName

#### srcFileSize

    public long srcFileSize

#### destFileName

    public String destFileName

#### destFileSize

    public long destFileSize

#### requireCompress

    public boolean requireCompress

#### resultStatus

    public SnowflakeFileTransferAgent.ResultStatus resultStatus

#### errorDetails

    public String errorDetails

#### srcCompressionType

    public SnowflakeFileTransferAgent.FileCompressionType srcCompressionType

#### destCompressionType

    public SnowflakeFileTransferAgent.FileCompressionType destCompressionType

#### isEncrypted

    public boolean isEncrypted

### Constructor Detail

#### FileMetadata

    public FileMetadata()